> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mercoa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server.

Bank Accounts can be considered the default payment method in Mercoa. They can be used as a funding source and disbursement method.

## Creating a Bank Account

### Create a Bank Account via Component

If you are using the Mercoa Embed or React Component, your customer can add a bank account directly in your application. When creating the JWT token, you will need to make sure the `paymentMethods` page is enabled.

### Create a Bank Account via Plaid

You can also use Plaid to create a bank account. See [this guide](/common-concepts/payment-methods/plaid-integration) to learn how to add a Plaid integration to your frontend.

If you are already using Plaid in your application, you can use existing Plaid access tokens to create a bank account!

### Create a Bank Account with the API

To create a bank account via API, you need to provide the following information:

* Account Number
* Routing Number
* Account Type (Checking or Savings)

### Request

POST [https://api.mercoa.com/entity/\{entityId}/paymentMethod](https://api.mercoa.com/entity/\{entityId}/paymentMethod)

**`BankAccount`**

```curl BankAccount
curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "type": "bankAccount",
  "accountNumber": "99988767623",
  "accountType": "CHECKING",
  "routingNumber": "12345678"
}'
```

**`BankAccount`**

```python BankAccount
import requests

url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod"

payload = {
    "type": "bankAccount",
    "accountNumber": "99988767623",
    "accountType": "CHECKING",
    "routingNumber": "12345678"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

**`BankAccount`**

```typescript BankAccount
import { MercoaClient } from "@mercoa/javascript";

const client = new MercoaClient({ token: "YOUR_TOKEN" });
await client.entity.paymentMethod.create("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", {
    type: "bankAccount",
    routingNumber: "12345678",
    accountNumber: "99988767623",
    accountType: "CHECKING"
});

```

**`BankAccount`**

```go BankAccount
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod"

	payload := strings.NewReader("{\n  \"type\": \"bankAccount\",\n  \"accountNumber\": \"99988767623\",\n  \"accountType\": \"CHECKING\",\n  \"routingNumber\": \"12345678\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`BankAccount`**

```ruby BankAccount
require 'uri'
require 'net/http'

url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"type\": \"bankAccount\",\n  \"accountNumber\": \"99988767623\",\n  \"accountType\": \"CHECKING\",\n  \"routingNumber\": \"12345678\"\n}"

response = http.request(request)
puts response.read_body
```

**`BankAccount`**

```java BankAccount
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"type\": \"bankAccount\",\n  \"accountNumber\": \"99988767623\",\n  \"accountType\": \"CHECKING\",\n  \"routingNumber\": \"12345678\"\n}")
  .asString();
```

**`BankAccount`**

```php BankAccount
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod', [
  'body' => '{
  "type": "bankAccount",
  "accountNumber": "99988767623",
  "accountType": "CHECKING",
  "routingNumber": "12345678"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

**`BankAccount`**

```csharp BankAccount
using RestSharp;

var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"type\": \"bankAccount\",\n  \"accountNumber\": \"99988767623\",\n  \"accountType\": \"CHECKING\",\n  \"routingNumber\": \"12345678\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

**`BankAccount`**

```swift BankAccount
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "type": "bankAccount",
  "accountNumber": "99988767623",
  "accountType": "CHECKING",
  "routingNumber": "12345678"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

## Using a Bank Account as a Funding Source

To use a bank account as a funding source, you need to prove ownership of the account. If the account is added via Plaid, this is automatic. Otherwise, this is done by depositing a small amount of money into the account and verifying that the amount matches the amount deposited.
This is done by calling the [Initiate Micro Deposit](/api-reference/entity/payment-method/bank-account/initiate-micro-deposits) endpoint and then the [Verify Micro Deposit](/api-reference/entity/payment-method/bank-account/complete-micro-deposits) endpoint with the appropriate amounts.

### Bank Statements

Mercoa transactions will show up on the payer's bank statement with the following format:

```
VendorName Inv#
```

If there is no invoice number, it will follow the format:

```
VendorName AP{Invoice_ID}
```

Where `AP{Invoice_ID}` is the unique identifier for the invoice.

#### Overriding the Statement Descriptor

The `Inv#` portion can be overridden by setting the [description](/api-reference/invoice/create#request.body.paymentDestinationOptions.bankAccount.description) field on the invoice payment destination options.

## Using a Bank Account as a Disbursement Method

Bank accounts do not need to be verified to be used as a disbursement method.

### Bank Statements

Mercoa transactions will show up on the vendor's bank statement with the following format:

```
PayerName Inv#
```

If there is no invoice number, it will follow the format:

```
PayerName AP{Invoice_ID}
```

Where `AP{Invoice_ID}` is the unique identifier for the invoice.

#### Overriding the Statement Descriptor

The `Inv#` portion can be overridden by setting the [description](/api-reference/invoice/create#request.body.paymentDestinationOptions.bankAccount.description) field on the invoice payment destination options.

The `PayerName` portion can be replaced with the `AccountName` of the bank account by configuring the [entity customization options](/api-reference/entity/customization/update#request.body.backupDisbursement.bankAccount.originatingCompanyName).